#!/usr/bin/env node

const { Command } = require('commander');
const inquirer = require('inquirer');
const { createStructure } = require('../lib/structure');
const program = new Command();


(async () => {
  const chalkModule = await import('chalk');
    const chalk = chalkModule.default;

program
  .version('1.0.1')
  .argument('<project-name>', 'Name of the project')
  .action(async (projectName) => {
    const answers = await inquirer.prompt([

        { type: "confirm", name: "addConfig", message: chalk.rgb(245,197,112,255)("📁 How about a config folder? (It's where the magic happens!) ✨"), default: true },
        { type: "confirm", name: "addUsers", message: chalk.rgb(107,199,220,255)("👥 Users folder with controller, router, and validator? (Let's manage those users!) 💼"), default: true },
        { type: "confirm", name: "addAdmin", message: chalk.rgb(245,241,240,255)("👑 An Admin folder with all the power? (Power to the admins!) 💪"), default: true },
        { type: "confirm", name: "addSchemas", message: chalk.rgb(220, 1, 41)("📜 Schemas folder? (Because organization is key!) 📂"), default: true },
        { type: "confirm", name: "addMiddleware", message: chalk.rgb(116, 130, 142)("🛡️ JWT Middleware for extra security? (Security first!) 🛡️"), default: true },
        { type: "confirm", name: "addHelper", message: chalk.rgb(55, 183, 29)("🛠️ Helpers folder? (Everyone needs a little help!) 🤝"), default: true },
        { type: "confirm", name: "addGitIgnore", message: chalk.rgb(66, 185, 207)("🙈 .gitignore file to keep secrets? (Let's keep those secrets, secret!) 🤫"), default: true },
        { type: "confirm", name: "addDockerFile", message: chalk.rgb(26, 118, 210)("🐳 Docker file? (All aboard the Docker ship!) ⛴️"), default: true },
        { type: "confirm", name: "addViews", message: chalk.rgb(160, 52, 252)("👀 Views folder? (Watch the magic unfold!) 🎨"), default: true },
        { type: "confirm", name: "addUtils", message: chalk.rgb(246, 84, 141)("🔧 Utils folder? (Handy utilities at your service!) 🛠️"), default: true },
        { type: "confirm", name: "addEnv", message: chalk.rgb(142, 206, 137)("🌍 .env file for environment variables? (Let them grow!) 🌱"), default: true }

    ]);

    createStructure(projectName, answers);
  });

program.parse(process.argv)
})();




